Page 1 of 1

equo upgrade fails

Posted: Wed Mar 18, 2020 16:51
by Wesley
Hi,

I try to update my system with equo upgrade command, and the process stops at the setup stage.

The main error seems to be

Code: Select all

☛     ## QA: Cannot run phase preinstall, AttributeError("'FakeOutFile' object has no attribute 'buffer'",). Please report it. 
The full log is below:

Code: Select all

    ## Unpacking: acct-group:avahi-autoipd-0.7b97bdae6431824252ee139cbfe9bc4496e3366c~0.tbz2
╠     ## Package phase: preinstall
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 4040, in _get_portage_config
    config_incrementals = self._portage.const.INCREMENTALS)
  File "/usr/lib64/python3.6/site-packages/portage/package/ebuild/config.py", line 548, in __init__
    self.repositories = load_repository_config(self)
  File "/usr/lib64/python3.6/site-packages/portage/repository/config.py", line 1114, in load_repository_config
    return RepoConfigLoader(repoconfigpaths, settings)
  File "/usr/lib64/python3.6/site-packages/portage/repository/config.py", line 795, in __init__
    (repo_name, repo.name), level=logging.ERROR, noiselevel=-1)
  File "/usr/lib64/python3.6/site-packages/portage/util/__init__.py", line 108, in writemsg_level
    writemsg(msg, noiselevel=noiselevel, fd=fd)
  File "/usr/lib64/python3.6/site-packages/portage/util/__init__.py", line 82, in writemsg
    fd = fd.buffer
AttributeError: 'FakeOutFile' object has no attribute 'buffer'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 2468, in _pkg_setup
    licenses = package_metadata.get('accept_license'))
  File "/usr/lib64/python3.6/site-packages/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 2185, in _portage_doebuild
    mysettings = self._get_portage_config(os.path.sep, root)
  File "/usr/lib64/python3.6/site-packages/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 4042, in _get_portage_config
    raise self.Error(err)
entropy.spm.plugins.skel.SpmPlugin.Error: AttributeError("'FakeOutFile' object has no attribute 'buffer'",)
☛     ## QA: Cannot run phase preinstall, AttributeError("'FakeOutFile' object has no attribute 'buffer'",). Please report it.